Projects and Workspaces API
These are the most common endpoints for account and project integration workflows. All routes below are prefixed by/api/v1 and require a valid member session unless noted.
User and workspace context
GET /meGET /me/notificationsPATCH /me/notifications/readPOST /me/notifications/read-allPATCH /me/viewer-presence
Workspace lifecycle
POST /workspacesGET /workspaces/:workspaceIdPATCH /workspaces/:workspaceIdDELETE /workspaces/:workspaceId
Invites and membership
GET /workspaces/:workspaceId/invitesPOST /workspaces/:workspaceId/invitesDELETE /workspaces/:workspaceId/invites/:inviteIdGET /workspaces/:workspaceId/email-invitesPOST /workspaces/:workspaceId/email-invitesPOST /workspaces/:workspaceId/email-invites/:inviteId/resendPATCH /workspaces/:workspaceId/email-invites/:inviteIdDELETE /workspaces/:workspaceId/email-invites/:inviteIdGET /workspaces/:workspaceId/membersPOST /workspaces/:workspaceId/membersPATCH /workspaces/:workspaceId/members/:userIdPATCH /workspaces/:workspaceId/members/:userId/project-accessDELETE /workspaces/:workspaceId/members/:userId
Projects
POST /workspaces/:workspaceId/projectsGET /workspaces/:workspaceId/projectsGET /projects/:projectIdPATCH /projects/:projectIdDELETE /projects/:projectIdGET /projects/:projectId/sessionPATCH /projects/:projectId/settingsGET /projects/:projectId/teamDELETE /projects/:projectId/members/:userId
Dashboard and reporting helpers
GET /workspaces/:workspaceId/dashboardGET /projects/:projectId/dashboardGET /projects/:projectId/audit-logsGET /projects/:projectId/audit-logs/export
Common integration use cases
- Sync internal directory users to workspace memberships
- Sync project roster and status into BI/reporting tools
- Pull audit logs for compliance records
Key path parameters
workspaceId: the workspace container for projects, members, and invitesprojectId: the project resource for settings, team, and reporting routesuserId: target member identifier for access/role updates